Insights
Get an insight
Retrieves the specified insight report and its results.
Üst bilgi parametreleri
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Sorgu parametreleri
includeCoordinates
boolean
Whether to include coordinates for visualization in the response. Defaults to false.
api-version
string
gerekli
The API version to use for this operation.
Yol parametreleri
id
string
gerekli
The unique identifier for the insights report.
Yanıtlar
The request has succeeded.
Gövde
id
string
gerekli
The unique identifier for the insights report.
metadata
InsightsMetadata
gerekli
Metadata about the insights.
createdAt
string
gerekli
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
gerekli
Enum describing allowed operation states.
enum
displayName
string
gerekli
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
gerekli
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
gerekli
The type of insights request.
evalId
string
gerekli
Evaluation Id for the insights.
runIds
string[]
gerekli
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
gerekli
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
gerekli
The type of request.
agentName
string
gerekli
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
gerekli
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
gerekli
The type of request.
evalId
string
gerekli
Identifier for the evaluation.
baselineRunId
string
gerekli
The baseline run ID for comparison.
treatmentRunIds
string[]
gerekli
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
gerekli
The type of insights result.
comparisons
EvalRunResultComparison[]
gerekli
Comparison results for each treatment run against the baseline.
method
string
gerekli
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
gerekli
The type of insights result.
clusterInsight
ClusterInsightResult
gerekli
Insights from the cluster analysis.
summary
InsightSummary
gerekli
Summary of the error cluster analysis.
sampleCount
integer
gerekli
Total number of samples analyzed.
uniqueSubclusterCount
integer
gerekli
Total number of unique subcluster labels.
uniqueClusterCount
integer
gerekli
Total number of unique clusters.
method
string
gerekli
Method used for clustering.
usage
ClusterTokenUsage
gerekli
Token usage for cluster analysis
inputTokenUsage
integer
gerekli
input token usage
outputTokenUsage
integer
gerekli
output token usage
totalTokenUsage
integer
gerekli
total token usage
clusters
InsightCluster[]
gerekli
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
gerekli
X-axis coordinate.
y
integer
gerekli
Y-axis coordinate.
size
integer
gerekli
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
gerekli
The type of insights result.
clusterInsight
ClusterInsightResult
gerekli
Insights from the cluster analysis.
summary
InsightSummary
gerekli
Summary of the error cluster analysis.
sampleCount
integer
gerekli
Total number of samples analyzed.
uniqueSubclusterCount
integer
gerekli
Total number of unique subcluster labels.
uniqueClusterCount
integer
gerekli
Total number of unique clusters.
method
string
gerekli
Method used for clustering.
usage
ClusterTokenUsage
gerekli
Token usage for cluster analysis
inputTokenUsage
integer
gerekli
input token usage
outputTokenUsage
integer
gerekli
output token usage
totalTokenUsage
integer
gerekli
total token usage
clusters
InsightCluster[]
gerekli
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
gerekli
X-axis coordinate.
y
integer
gerekli
Y-axis coordinate.
size
integer
gerekli
Size of the chart element.
İstek
GET /insights/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json